import * as core from "@terrascript/core";

export interface DomainServiceAccessPolicyArgs extends core.ResourceArgs {
  accessPolicy: string | core.StringOut;

  domainName: string | core.StringOut;
}

export class DomainServiceAccessPolicy extends core.Resource<DomainServiceAccessPolicyArgs> {
  @core.attr(String)
  public accessPolicy!: string | core.StringOut;

  @core.attr(String)
  public domainName!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: DomainServiceAccessPolicyArgs) {
    super(name, "aws_cloudsearch_domain_service_access_policy", args);
  }

  public override getNamespace(): string {
    return "aws_cloudsearch";
  }
}
